## org.eclipse.emf.ecore.xml.type.util
Class XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl.StackFrame
          org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame

Enclosing class:
  XMLTypeResourceImpl.FrameFactory

    public static class XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame

extends XMLTypeResourceImpl.StackFrame

Field Summary
`protected XMLTypeResourceImpl.DataFrame` `cDATA`
`protected XMLTypeResourceImpl.DataFrame` `comment`
`protected XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame` `processingInstruction`
`protected XMLTypeResourceImpl.DataFrame` `text`
`protected XMLTypeDocumentRoot` `theXMLTypeDocumentRoot`

Constructor Summary
`XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame()`

Method Summary
`void` `create()`
`void` `endElement(XMLTypeResourceImpl.StackFrame child)`
`void` `handleAttributes(org.xml.sax.Attributes attributes)`
`protected XMLTypeDocumentRoot` `popXMLTypeDocumentRoot()`
`XMLTypeResourceImpl.StackFrame` `startElement(java.lang.String namespace, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

Methods inherited from class org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl.StackFrame
`characters, endElement, pop, pushOnto`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theXMLTypeDocumentRoot

    protected XMLTypeDocumentRoot theXMLTypeDocumentRoot

### cDATA

    protected XMLTypeResourceImpl.DataFrame cDATA

### comment

    protected XMLTypeResourceImpl.DataFrame comment

### processingInstruction

    protected XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame processingInstruction

### text

    protected XMLTypeResourceImpl.DataFrame text

Constructor Detail

### XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame

    public XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame()

Method Detail

### handleAttributes

    public void handleAttributes(org.xml.sax.Attributes attributes)

  Overrides:
    `handleAttributes` in class `XMLTypeResourceImpl.StackFrame`

### startElement

    public XMLTypeResourceImpl.StackFrame startElement(java.lang.String namespace,
                                                       java.lang.String localName,
                                                       java.lang.String qName,
                                                       org.xml.sax.Attributes attributes)
                                                throws org.xml.sax.SAXException

  Overrides:
    `startElement` in class `XMLTypeResourceImpl.StackFrame`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(XMLTypeResourceImpl.StackFrame child)
                    throws org.xml.sax.SAXException

  Overrides:
    `endElement` in class `XMLTypeResourceImpl.StackFrame`
  Throws:
    `org.xml.sax.SAXException`

### create

    public void create()

  Overrides:
    `create` in class `XMLTypeResourceImpl.StackFrame`

### popXMLTypeDocumentRoot

    protected XMLTypeDocumentRoot popXMLTypeDocumentRoot()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.